Bug 196498 - F-Spot crashes when Metadata Browser is invoked
F-Spot crashes when Metadata Browser is invoked
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
Depends On:
  Show dependency treegraph
Reported: 2006-06-23 15:22 EDT by Rafal Moderski
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rafal Moderski 2006-06-23 15:22:29 EDT
Description of problem:
FSpot crashes when Metadata Browser is called (Ctrl+I)

Version-Release number of selected component (if applicable):
f-spot.i386 0.1.10-1

How reproducible:
always, unless gtkhtml3.i386 is installed

Steps to Reproduce:
1. start f-spot
2. select any photo
3. press Ctrl+i

Actual results:
f-spot crashes with:
Unhandled Exception: System.Reflection.TargetInvocationException: Exception has
been thrown by the target of an invocation. ---> System.DllNotFoundException:

Expected results:
f-spot should start metadata browser

Additional info:
f-spot rpm seems to depend on gtkhtml3 rpm, but this dependence is not called
with yum when installing f-spot. When gtkhtml3 is installed separately
everything is fine.
Comment 1 Julian Sikorski 2007-07-06 13:06:26 EDT
Problem still present in f-spot-0.3.5-2.fc7.x86_64:

Wyrzucony został nieobsłużony wyjątek:Exception has been thrown by the target of
an invocation.

  at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags
invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
System.Globalization.CultureInfo culture) [0x00000] 
  at System.Reflection.MonoProperty.GetValue (System.Object obj, BindingFlags
invokeAttr, System.Reflection.Binder binder, System.Object[] index,
System.Globalization.CultureInfo culture) [0x00000] 
  at System.Reflection.PropertyInfo.GetValue (System.Object obj, System.Object[]
index) [0x00000] 
  at GLib.Object.LookupGType (System.Type t) [0x00000] 
  at GLib.Object.RegisterGType (System.Type t) [0x00000] 
  at GLib.Object.LookupGType (System.Type t) [0x00000] 
  at GLib.Object.LookupGType () [0x00000] 
  at GLib.Object.CreateNativeObject (System.String[] names, GLib.Value[] vals)
  at Gtk.Object.CreateNativeObject (System.String[] names, GLib.Value[] vals)
  at Gtk.Widget.CreateNativeObject (System.String[] names, GLib.Value[] vals)
  at Gtk.HTML..ctor () [0x00000] 
  at FSpot.InfoDisplay..ctor () [0x00000] 
  at MainWindow.HandleViewFullExif (System.Object sender, System.EventArgs args)
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_EventArgs (object,System.EventArgs)
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr gch) [0x00000] 
  at (wrapper native-to-managed) GLib.Signal:voidObjectCallback (intptr,intptr)
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) Gtk.Application:gtk_main ()
  at Gtk.Application.Run () [0x00000] 
  at Gnome.Program.Run () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] 
.NET Version: 2.0.50727.42

Assembly Version Information:

google-sharp (
FlickrNet (
SmugMugNet (
pango-sharp (
SemWeb (
glade-sharp (
gtkhtml-sharp (
System.Transactions (
gconf-sharp (
System.Data (
Mono.Data.SqliteClient (
gdk-sharp (
gnome-vfs-sharp (
NDesk.DBus.GLib (
NDesk.DBus (
System (
Mono.Posix (
atk-sharp (
gtk-sharp (
glib-sharp (
gnome-sharp (
f-spot (
Mono.GetOptions (
mscorlib (

Platform Information: Linux 2.6.21-1.3228.fc7 x86_64 x86_64 GNU/Linux

Distribution Information:

Fedora release 7 (Moonshine)

Fedora release 7 (Moonshine)

Comment 2 Brian Powell 2008-04-30 21:58:07 EDT
Can you verify this bug still exists in Fedora 7, f-spot-0.3.5-4.fc7? It appears
to be resolved in the current Fedora 8 release as I am unable to reproduce.
Comment 3 Bug Zapper 2008-05-14 08:01:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:12:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.